Get information about albums, artists, playlists, tracks or users that match a keyword string.
curl --request GET \
--url https://open.beatpass.ca/api/v1/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.beatpass.ca/api/v1/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.beatpass.ca/api/v1/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"query": "led zeppelin",
"results": {
"artists": {
"id": 123,
"name": "Led Zeppelin",
"image_small": "https://example.com/image1.jpg",
"verified": true
},
"albums": {
"id": 123,
"name": "Coda",
"image": "https://example.com/image1.jpg",
"release_date": "1982-11-19",
"description": "<string>",
"tracks": [
{
"id": 123,
"name": "Hey Hey What Can I Do",
"release_date": "1982-11-19",
"image": "https://example.com/image1.jpg",
"duration": 5645848548,
"description": "<string>",
"artists": [
{
"id": 123,
"name": "Led Zeppelin",
"image_small": "https://example.com/image1.jpg",
"verified": true
}
]
}
],
"artists": [
{
"id": 123,
"name": "Led Zeppelin",
"image_small": "https://example.com/image1.jpg",
"verified": true
}
]
},
"tracks": {
"id": 123,
"name": "Hey Hey What Can I Do",
"release_date": "1982-11-19",
"image": "https://example.com/image1.jpg",
"duration": 5645848548,
"description": "<string>",
"artists": [
{
"id": 123,
"name": "Led Zeppelin",
"image_small": "https://example.com/image1.jpg",
"verified": true
}
]
},
"playlists": {
"id": 123,
"name": "Some Playlist",
"public": true,
"collaborative": false,
"image": "https://example.com/image1.jpg",
"description": "<string>"
},
"users": {
"id": 123,
"display_name": "<string>",
"avatar": "<string>"
}
}
}Search
Get information about albums, artists, playlists, tracks or users that match a keyword string.
GET
/
search
Get information about albums, artists, playlists, tracks or users that match a keyword string.
Authorizations
API access is invite-only. Contact contact@beatpass.ca to request access. Once approved, generate tokens from Account Settings → Developers. Include as: Authorization: Bearer {token}. Tokens expire after 90 days.
Query Parameters
Search query keywords
Example:
"led zeppelin"
A comma-separated list of item types to search across. Valid types are: album , artist, playlist, track, and user. Search results include hits from all the specified types.
Example:
"artist,album,track"
Maximum number of results to return. The limit is applied within each type, not on the total response.
Example:
3
Last modified on August 4, 2026
Was this page helpful?
⌘I